*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: monospace;
}

body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: rgb(238, 225, 129);
}

.container
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    background: rgb(218, 103, 168);
    padding: 40px 60px;
}

h2
{
    font-size: 2em;
    color:azure;
    text-transform: uppercase;
    letter-spacing: 0.1em;
}

.reset
{
    padding: 15px 20px;
    margin: 2px;
    color: rgb(182, 118, 34);
    background: #fff;
    border: none;
    border-radius: 15px;
    font-size: 1.5em;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: 600;
}

.reset:hover {background-color: #7f4b83}

.reset:active {
  background-color: #C8DAB1;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
}

.game
{
    width: 440px;
    height: 440px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    transform-style: preserve-3d;
    perspective: 500px;
}

.item
{
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3em;
    background: #fff;
    transform: rotateY(180deg);
    transition: 0.25s;
}

.item.boxOpen{
    transform: rotateY(0deg);
}

.item::after
{
    content: '';
    position: absolute;
    inset: 0;
    background: #7f4b83;
    /*opacity: 0.85;*/
    transition: 0.25s;
    transform: rotateY(0deg);
    backface-visibility: hidden;
}

.boxOpen:after ,
.boxMatch:after
{
    transform: rotateY(180deg);
}

/* Estilos para dispositivos móveis */
@media screen and (max-width: 600px) {

    .container{
        padding: 70px 10px;
        text-align: center;
    }

    .reset{
    padding: 10px 15px;
    font-size: 1.0em;
    }
    
    .game{
        width: 100%;
        height: auto;
        justify-content: center;
        align-items: center;
    }

    .item{
        width: 75px;
        height: 75px;
        font-size: 2em;
    }
}
